POST api/itemapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
ItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
None. |
|
| active | boolean |
None. |
|
| code | string |
Required String length: inclusive between 0 and 30 |
|
| color_id | globally unique identifier |
None. |
|
| customer_id | globally unique identifier |
Required |
|
| grouping_quantity | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| item_service_id | globally unique identifier |
None. |
|
| item_garment_type_id | globally unique identifier |
None. |
|
| item_segment_id | globally unique identifier |
None. |
|
| item_type_id | globally unique identifier |
None. |
|
| purchase_price | decimal number |
None. |
|
| sale_price | decimal number |
None. |
|
| size_id | globally unique identifier |
None. |
|
| supplier_code | string |
String length: inclusive between 0 and 30 |
|
| supplier_description | string |
String length: inclusive between 0 and 100 |
|
| unit | string |
String length: inclusive between 0 and 10 |
|
| weight | integer |
None. |
|
| root_code | string |
String length: inclusive between 0 and 30 |
Request Formats
application/json, text/json
Sample:
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"color_id": "07b4e7ca-b739-4ec5-a308-4f21f33e724a",
"customer_id": "20838712-fda6-422c-8e38-2da47b596b73",
"grouping_quantity": 1,
"id": "7be503da-fbfb-46ad-8061-d5e435473f83",
"item_service_id": "97a7acf4-c7ff-49d1-968a-c14aeae861d7",
"item_garment_type_id": "82a1ee4b-d724-431f-95e7-e20f4a66e3e6",
"item_segment_id": "a85cf98a-09f5-46eb-a5d7-dafda8ca8422",
"item_type_id": "6cd6f22b-4231-4bd0-9a23-9fcb0e28f1ac",
"purchase_price": 1.0,
"sale_price": 1.0,
"size_id": "ca54a958-b500-4970-92d9-bddc8077ffb4",
"supplier_code": "sample string 6",
"supplier_description": "sample string 7",
"unit": "sample string 8",
"weight": 1,
"root_code": "sample string 9"
}
application/xml, text/xml
Sample:
<item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<code>sample string 2</code>
<color_id>07b4e7ca-b739-4ec5-a308-4f21f33e724a</color_id>
<customer_id>20838712-fda6-422c-8e38-2da47b596b73</customer_id>
<grouping_quantity>1</grouping_quantity>
<id>7be503da-fbfb-46ad-8061-d5e435473f83</id>
<item_garment_type_id>82a1ee4b-d724-431f-95e7-e20f4a66e3e6</item_garment_type_id>
<item_segment_id>a85cf98a-09f5-46eb-a5d7-dafda8ca8422</item_segment_id>
<item_service_id>97a7acf4-c7ff-49d1-968a-c14aeae861d7</item_service_id>
<item_type_id>6cd6f22b-4231-4bd0-9a23-9fcb0e28f1ac</item_type_id>
<purchase_price>1</purchase_price>
<root_code>sample string 9</root_code>
<sale_price>1</sale_price>
<size_id>ca54a958-b500-4970-92d9-bddc8077ffb4</size_id>
<supplier_code>sample string 6</supplier_code>
<supplier_description>sample string 7</supplier_description>
<unit>sample string 8</unit>
<weight>1</weight>
<descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</descriptions>
</item>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"5e1ef934-8429-47d2-94df-a44cc689bf16"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">5e1ef934-8429-47d2-94df-a44cc689bf16</guid>